Уголок новичка
   404

Помогите с закцикленой зависимостью

Здравствуйте, столкнулся с крайне неприятной для себя вещью. Начну с начала, у моего пк нет доступа к интернету, но мне нравится Линукс, соответственно если мне нужна какая-то прога (допустим эмулятор ретро-консоли) то мне приходится скачивать этот пакет отдельно через телефон по Wi-Fi.
И вот столкнулся с этим
[dynya-pc Package]# pacman -U lib32-freetype2-2.10.0-2-x86_64.pkg.tar.xz 
загрузка пакетов...
разрешение зависимостей...
предупреждение: не удалось разрешить "lib32-harfbuzz", зависимость "lib32-freetype2"
:: Этот пакет не может быть обновлен из-за неразрешимых зависимостей:
      lib32-freetype2
:: Вы уверены что хотите пропустить этот пакет при обновлении? [y/N] n
ошибка: не удалось подготовить транзакцию (не удалось удовлетворить зависимости)
:: unable to satisfy dependency 'lib32-harfbuzz' required by lib32-freetype2


[dynya-pc Package]# pacman -U lib32-harfbuzz-2.5.0-1-x86_64.pkg.tar.xz 
загрузка пакетов...
разрешение зависимостей...
предупреждение: не удалось разрешить "lib32-freetype2", зависимость "lib32-harfbuzz"
:: Этот пакет не может быть обновлен из-за неразрешимых зависимостей:
      lib32-harfbuzz
:: Вы уверены что хотите пропустить этот пакет при обновлении? [y/N] n
ошибка: не удалось подготовить транзакцию (не удалось удовлетворить зависимости)
:: unable to satisfy dependency 'lib32-freetype2' required by lib32-harfbuzz

То есть, для установки пакета A, нужен пакет B, но для установки пакета B нужен пакет A.
Замкнутый круг.
Можете подсказать что делать? Вариант с подключением usb-роутера или раздачи интернета по usb с телефона не походит. Иначе сюда бы не писал.

1 комментарий

avatar
Ну что, кажись вопрос решен
t.me/manjarolinux/744736
+1
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.